## org.biojava.bio.gui
Interface LogoPainter

All Known Implementing Classes:
  TextLogoPainter, BarLogoPainter

public interface LogoPainter

The interface for something that will draw the sequence logo for a state.

A StateLogo object claims the screen realestate for rendering, and does the calculations for sizes & information and the like. The LogoPainter renders this information onto a graphics context. It is given the StateLog to render, so that a single LogoPainter can be shaired among many state logos.

Author:
  Matthew Pocock

Method Summary
`void` `paintLogo(java.awt.Graphics g, DistributionLogo dl)` Render the state from sl onto the graphics object g.

Method Detail

### paintLogo

    public void paintLogo(java.awt.Graphics g,
                          DistributionLogo dl)

  Render the state from sl onto the graphics object g.
  Parameters:
    `g` - the target Graphics
    `sl` - the StateLogo to render